MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LTIOverridePixelProps< BASE > Struct Template Reference

`#include <lti_imageStageOverrides.h>`

Inheritance diagram for LTIOverridePixelProps< BASE >:
[legend]
Collaboration diagram for LTIOverridePixelProps< BASE >:
[legend]

## Public Member Functions
const LTIPixel & | getPixelProps () const
const LTIPixel & | getMinDynamicRange () const
const LTIPixel & | getMaxDynamicRange () const
LT_STATUS | overridePixelBPS (lt_uint8 bps)
LT_STATUS | overrideDynamicRange (const LTIPixel &drmin, const LTIPixel &drmax)

## Additional Inherited Members
Protected Member Functions inherited from LTIOverridePixelPropsData
| LTIOverridePixelPropsData ()
| ~LTIOverridePixelPropsData ()
LT_STATUS | setPixelProps (const LTIPixel &pixelProps)
| set pixel properties of the image More...
LT_STATUS | setPixelBPS (lt_uint8 bps)
LT_STATUS | setDynamicRange (const LTIPixel &drmin, const LTIPixel &drmax)
| set the dynamic range of the image More...
LT_STATUS | setDefaultDynamicRange (void)
| set the dynamic range of the image More...
Protected Attributes inherited from LTIOverridePixelPropsData
LTIPixel * | m_pixelProps
LTIPixel * | m_drminPixel
LTIPixel * | m_drmaxPixel

## Detailed Description

### template<class BASE>
struct LTIOverridePixelProps< BASE >

Examples:
  DerivedImageFilter.cpp.

Definition at line 161 of file lti_imageStageOverrides.h.

## Member Function Documentation

template<class BASE>

const LTIPixel& LTIOverridePixelProps< BASE >::getMaxDynamicRange | ( | ) |  | const
| inline

Definition at line 174 of file lti_imageStageOverrides.h.

template<class BASE>

const LTIPixel& LTIOverridePixelProps< BASE >::getMinDynamicRange | ( | ) |  | const
| inline

Definition at line 169 of file lti_imageStageOverrides.h.

template<class BASE>

const LTIPixel& LTIOverridePixelProps< BASE >::getPixelProps | ( | ) |  | const
| inline

Examples:
  DerivedImageFilter.cpp.

Definition at line 164 of file lti_imageStageOverrides.h.

template<class BASE>

LT_STATUS LTIOverridePixelProps< BASE >::overrideDynamicRange | ( | const LTIPixel & | drmin,
|  | const LTIPixel & | drmax
| ) |  |
| inline

Definition at line 184 of file lti_imageStageOverrides.h.

template<class BASE>

LT_STATUS LTIOverridePixelProps< BASE >::overridePixelBPS | ( | lt_uint8 | bps) |  |
| inline

Definition at line 179 of file lti_imageStageOverrides.h.

The documentation for this struct was generated from the following file:

- lti_imageStageOverrides.h

LizardTech